Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Interface ConnectionInformation

    public interface ConnectionInformation

Interface `ConnectionInformation` provides information of connections.

Method Summary
`int` | `getAttempt()` Gets the retried count of a specific connection.
`int` | `getExpire()` Gets the expired time (ms) of a specific connection.
`int` | `getIdleExpire()` Gets the idle expired time (ms) of a specific connection.
`int` | `getIdleTime()` Gets idle time (ms) of a specific connection .
`int` | `getInterval()` Gets the retried interval (ms) of a specific connection.
`int` | `getLockNumber()` Gets sharing count of a specific connection.
`int` | `getMaxCount()` Gets the maximal connection count of a specific connection.
`int` | `getShare()` Gets the maximal sharing count of a specific connection.
`int` | `getStartTime()` Gets last user connecting time (ms) of a specific connection.
`java.lang.String` | `getUrl()` Gets the URL of a specific connection.
`java.lang.String` | `getUser()` Gets the user name of a specific connection.

Method Detail

### getUrl

    java.lang.String getUrl()

  Gets the URL of a specific connection.

### getUser

    java.lang.String getUser()

  Gets the user name of a specific connection.

### getExpire

    int getExpire()

  Gets the expired time (ms) of a specific connection.

### getIdleExpire

    int getIdleExpire()

  Gets the idle expired time (ms) of a specific connection.

### getMaxCount

    int getMaxCount()

  Gets the maximal connection count of a specific connection.

### getShare

    int getShare()

  Gets the maximal sharing count of a specific connection.

### getAttempt

    int getAttempt()

  Gets the retried count of a specific connection.

### getInterval

    int getInterval()

  Gets the retried interval (ms) of a specific connection.

### getStartTime

    int getStartTime()

  Gets last user connecting time (ms) of a specific connection.

### getIdleTime

    int getIdleTime()

  Gets idle time (ms) of a specific connection .

### getLockNumber

    int getLockNumber()

  Gets sharing count of a specific connection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD